Bug 60031 - Thread doesn't throw ThreadStateException when it should (like .net does)
Summary: Thread doesn't throw ThreadStateException when it should (like .net does)
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: mscorlib (show other bugs)
Version: master
Hardware: PC All
: --- normal
Target Milestone: Future Release
Assignee: Egorbo
URL:
Depends on:
Blocks:
 
Reported: 2017-10-06 16:49 UTC by Egorbo
Modified: 2017-11-06 23:02 UTC (History)
3 users (show)

Tags: bugpool-archive
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Egorbo 2017-10-06 16:49:23 UTC
Repro: https://gist.github.com/EgorBo/81110d1add96440ca716d30c7071eacf (see comments)
Comment 1 Egorbo 2017-10-11 15:36:39 UTC
https://github.com/mono/mono/pull/5766